Skip to main content
PUT
/
helm
/
{helmId}
/
deploymentRestriction
/
{deploymentRestrictionId}
Edit a helm deployment restriction
curl --request PUT \
  --url https://api.qovery.com/helm/{helmId}/deploymentRestriction/{deploymentRestrictionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mode": "MATCH",
  "type": "PATH",
  "value": "helm1/src/"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "mode": "MATCH",
  "type": "PATH",
  "value": "helm1/src/",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

helmId
string<uuid>
required

Helm ID

deploymentRestrictionId
string<uuid>
required

Deployment Restriction ID

Body

application/json
mode
enum<string>
required

Match mode will rebuild app only if specified items are updated. Exclude mode will not rebuild app if specified items are updated.

Available options:
EXCLUDE,
MATCH
Example:

"MATCH"

type
enum<string>
required
Available options:
PATH
Example:

"PATH"

value
string
required

For PATH restrictions, the value must not start with /

Example:

"helm1/src/"

Response

Edit a helm deployment restriction

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
mode
enum<string>
required

Match mode will rebuild app only if specified items are updated. Exclude mode will not rebuild app if specified items are updated.

Available options:
EXCLUDE,
MATCH
Example:

"MATCH"

type
enum<string>
required
Available options:
PATH
Example:

"PATH"

value
string
required

For PATH restrictions, the value must not start with /

Example:

"helm1/src/"

updated_at
string<date-time>
read-only